program Trans_Mat;

{$APPTYPE CONSOLE}

uses
  SysUtils;

const
  MAX = 100;
type
  Matice = array [1..MAX, 1..MAX] of Integer;


procedure NactiMatici (var M : Matice; pr, ps : Integer);
var
  i,j : Integer;
begin
WriteLn ('Zadej matici, prvky oddelene mezerou, nova radka=ENTER');
 for i := 1 to pr do
  for j := 1 to ps do
    Read (M[i,j]);

 ReadLn;     //vyprazdni klavesovy buffer
end;

procedure GenerujMatici (var M : Matice; pr, ps : Integer; min, max : Integer);
var
  i,j : Integer;
begin
 Randomize;

 for i := 1 to pr do
  for j := 1 to ps do
    M[i,j] := min + Random (max-min + 1);

end;

procedure VypisMatici (M : Matice; pr, ps : Integer);
var
  i,j : Integer;
begin
 for i := 1 to pr do
 begin
      for j := 1 to ps do    //vypis vsech prvku na radce
         Write (M[i,j]:2,' ');
      WriteLn;               //odradkuj - na konci radky
 end;
end;

procedure Prohod (var X,Y : Integer);
var
  pom : Integer;
begin
  pom := X;
  X := Y;
  Y := pom;
end;

procedure Transpozice (var M: Matice; n: Integer);
var
  i,j : Integer;
begin
  for i := 1 to n do
    for j := i+1 to n do
       Prohod (M[i,j], M[j,i]);
end;

var
  A   : Matice;
  n   : Integer;
begin
 Write ('Zadej rad matice:');
  ReadLn (n);

 NactiMatici (A, n, n);    //GenerujMatici (A,n,n,0,100);
 WriteLn (' --- PUVODNI MATICE ---');
  VypisMatici (A, n, n);
 WriteLn (' --- TRANSPONOVANA MATICE ---');
  Transpozice (A, n);
  VypisMatici (A, n, n);
 ReadLn;
end.
